=== debian/changelog ===
git-buildpackage (0.9.36+tizen20240605) unstable; urgency=medium

  * Upgrade version to override the version from mirrors.
  * Fix build errors on ubuntu 24.04.

 -- Xu Huayong <huayong.xu@samsung.com> Tue, 18 Jun 2024 18::02 +0800

git-buildpackage (0.9.28-tizen20231130) unstable; urgency=medium

  * Fix git-buildpackage issue to adapt the librpm-tizen 4.14 version.

 -- Xu Huayong <huayong.xu@samsung.com> Thu, 30 Nov 2023 14::32 +0800

git-buildpackage (0.9.27-tizen20231101) unstable; urgency=medium

  * Port code from python2.x to python3.x.
  * Support Ubuntu22.04 build.
  * Fix some defects during runtime.

 -- Biao Wang  <biao716.wang@samsung.com>  Wed, 01 Nov 2023 16:50:00 +0800

git-buildpackage (0.9.26-tizen20221104) unstable; urgency=medium

  * update submodule url.
  * Adapt Ubuntu 22.04 to upgrade the version.

 -- Biao Wang  <biao716.wang@samsung.com>  Fri, 14 May 2021 16:50:00 +0800

git-buildpackage (0.9.21-tizen20210514) unstable; urgency=medium

  * Fix export submodule source code error.

 -- Biao Wang  <biao716.wang@samsung.com>  Fri, 14 May 2021 16:50:00 +0800

git-buildpackage (0.9.20-tizen20200522) unstable; urgency=medium

  * Adapt Ubuntu 20.04 to upgrade the version.

 -- Yan Meng  <yan11.meng@samsung.com>  Fri, 22 May 2020 16:50:00 +0800

git-buildpackage (0.9.9-tizen20180912) unstable; urgency=medium

  * Adapt Ubuntu 18.04 to upgrade the version.

 -- Biao Wang  <biao716.wang@samsung.com>  Wed, 12 Sep 2018 16:50:00 +0800

git-buildpackage (0.7.5-tizen20161231) unstable; urgency=medium

  * Fix diff_status() for renames and copies
  * Adapt git-merge option when git version greater then 2.9
  * Disable test_pristine_tar unittest case

 -- SoonKyu Park  <sk7.park@samsung.com>  Sat, 31 Dec 2016 19:30:00 +0800

git-buildpackage (0.7.4-tizen20160514) unstable; urgency=medium

  * Keep same version number with upstream source code ,version 0.7.4

 -- Jun Wang  <junbill.wangx@samsung.com>  Sat, 14 May 2016 17:12:00 +0800

git-buildpackage (0.6.27-tizen20160302) unstable; urgency=medium

  * Fix error logs when __import__ faild,like "No handlers could be found fo logger"
  * Fix build problem on Debian 8

 -- Jun Wang  <junbill.wangx@samsung.com>  Wed, 02 Mar 2016 07:47:21 +0100

git-buildpackage (0.6.22-tizen20150206) unstable; urgency=low

  * Rebase on top of upstream version 0.6.22
  * Experimental support for BitBake
    - Introduce import-bb tool.
      This is the first tool in an effort of enabling gbp in the BitBake build
      environment. Gbp-import-bb is a tool for importing packages from a
      BitBake-based "combined" distro repository into individual per-package
      Git repositories.
    - Introduce pq-bb tool.
      This is a tool for managing patch-queues for packages maintained in the
      BitBake packaging format (.bb recipes).
    - Introduce buildpackage-bb tool.
      Initial version of the tool for building BitBake packages from Git.
      NOTE: The buildpackage-bb tool itself is able to operate even without an
      initialized BitBake build environment although the build likely fails in
      this case. However, this makes it possible to export the packaging meta
      data, for example.
    - Introcude clone-bb tool.
      This is a new tool for helping to clone remote per-package Git
      repositories when working in BitBake-based "full distro" build
      environment. This is useful in the case that individual packages are
      actually maintained in per-package Git repositories (like Tizen). That
      is, the full distro repository that the developer operates in is
      composed of the packaging meta data from the individual per-package
      repositories. When willing to contribute to a package the developer
      would use clone-bb to clone the correct per-package repository and make
      his changes there.
      NOTE: clone-bb uses GBP_PACKAGING_REPO variable to determine the remote
      repository URI. This variable should be defined in the package recipes
      in order to make clone-bb usable.
    - Introduce submit-bb tool.
      This is a Tizen-specific tool for creating and pushing special submit
      tags.
  * pq-rpm: better error message
  * buildpackage-rpm: look for remote upstream branches.
    Consider remote branches, too, while looking for the upstream branch
    when trying to guess if a package is native or not.
  * rpm packaging changes
    - enable CentOS 7.
    - include python egg-info in -common.
  * rpm: suppress stderr when unpacking src.rpm
  * UpstreamSource: suppress stderr from tar in _determine_prefix()
  * patchseries: strip numbering when guessing subject from filename
  * Changes in logging
    - don't propagate to ancestor loggers
    - don't initialize handlers in GbpLogger init.
      Better compatibility with 3rd party modules that have their own logging
      initializations.
  * Features/fixes in GitRepository
    - GitRepository/__git_inout: correctly handle input error
    - GitRepository.create_tag: add 'annotate' argument.
      For forcing the creation of annotated tags. Causes the an editor to be
      spawned if no message is given.

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Fri, 06 Feb 2015 10:36:26 +0200

  * Upgrade version to 0.6.25

 -- Rong Jinhui <jinhui.rong@samsung.com>  Thu, 04 Aug 2015 08:53:30 +0800

git-buildpackage (0.6.15-tizen20140828) unstable; urgency=low

  [ Markus Lehtonen ]
  * Rebase on top of upstream version 0.6.15
  * Changes in buildpackage-rpm
    - new 'commitish' keyword for spec vcs tag
    - notify: catch RuntimeError when importing pynotify
    - fix exit code in case of GitRepositoryError
    - always create tarball for native packages
    - check submodules from the exported treeish
    - fix crash when running prebuild hook
    - always run cleaner hook
    - add --git-no-build option
    - don't crash on invalid vcs format strings
    - add '--git-native' option
    - remove some outdated/unnecessary exception handling

