=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion,
 dh-python,
 debhelper (>= 9~),
 docbook-utils,
 gtk-doc-tools,
 openjade,
 perl,
 python3,
 python-epydoc | pydoctor | python-pydoctor,
 python3-nose,
 python3-pkg-resources,
 python3-setuptools,
 python3-dateutil,
 librpm-tizen,
# For rpm (epydoc)
 python3-rpm
Standards-Version: 3.9.4
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python3-Version: >= 3.5


Package: git-buildpackage-common
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:1.7.9.1-1~),
 man-db,
 python3-pkg-resources,
 python3-dateutil,
#unittest need
 zipmerge
Recommends: pristine-tar (>= 0.5)
Suggests: python3-notify2, unzip, zipmerge
Description: Suite to help with packaging in Git repositories
 This package contains the common API and scripts for Debian and rpm packaging

Package: git-buildpackage
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts,
 git-buildpackage-common (= ${binary:Version})
Recommends: cowbuilder
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp import-orig: import a new upstream version into the git repository
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 python3-rpm,
 rpm2cpio,
 git-buildpackage-common (= ${binary:Version})
Recommends: rpm
Description: Suite to help with rpm packages in Git repositories
 This package contains the following tools:
  * git-import-srpm: import existing rpm source packages into a git
    repository
  * git-import-orig-rpm: import a new upstream version into the git repository
  * git-buildpackage-rpm: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp-pq-rpm: manage separate development and packaging branches

Package: git-buildpackage-bb
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 git-buildpackage-common (= ${binary:Version}),
 git-buildpackage-rpm (= ${binary:Version}),
Recommends: bitbake
Description: Suite to help with BitBake builds from Git repositories
 This package contains the following tools:
  * gbp import-bb: import sources from distribution repository
  * gbp buildpackage-bb: build a package out of a Git repository
  * gbp pq-bb: manage separate development and packaging branches
