## git-buildpackage 0.9.37

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
 FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
-NOSE_OPTS=--with-xcoverage
 TEST_LOCALE?=C.UTF-8
 
 SH_SCRIPTS = \
@@ -21,14 +20,14 @@
 	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
 	PYTHONPATH=.					\
 	LC_ALL=$(TEST_LOCALE)                           \
-	python3 -m pytest
+	python3 -m pytest $(PYTEST_ARGS)
 
 syntax-check:
 	flake8 $(FLAKE_OPTS)
 	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)
 
 type-check:
-	mypy gbp
+	mypy $(MYPY_ARGS) gbp
 
 shell-check:
 	@echo "# Validating zsh completion"
