=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-bash-completion,
 dh-sequence-python3,
 docbook2x,
 gtk-doc-tools,
 libdistro-info-perl,
 perl,
 pydoctor,
 python3,
 python3-pytest-cov,
 python3-dateutil,
 python3-filelock,
 python3-pytest,
 python3-rpm,
 python3-setuptools,
 python3-yaml,
 xsltproc,
# For the testsuite
 bzip2 <!nocheck>,
 cpio <!nocheck>,
 devscripts (>= 2.17.7~) <!nocheck>,
 git (>= 1:2.40.1) <!nocheck>,
 pristine-tar (>= 1.14) <!nocheck>,
 rpm (>= 4.16.1) <!nocheck>,
 unzip <!nocheck>,
 zipmerge <!nocheck>,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/agx/git-buildpackage.git
Vcs-Browser: https://salsa.debian.org/agx/git-buildpackage/
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
Rules-Requires-Root: no
X-Python3-Version: >= 3.7

Package: git-buildpackage
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:2.40.1-1),
 man-db,
 python3-dateutil,
 python3-yaml,
 sensible-utils,
Recommends: pristine-tar (>= 1.41),
 cowbuilder | pbuilder | sbuild,
 python3-requests
Breaks: dgit (<< 9.16~)
Suggests: python3-notify2, unzip, sudo
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage: build a package out of a Git repository, check for local
    modifications and tag appropriately
  * gbp import-orig: import a new upstream version into the Git repository
  * gbp export-orig: export an upstream tarball from the Git repository
  * gbp import-{dsc,dscs}: import existing Debian source packages into a Git
    repository
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories
  * gbp push: push content to remote repositories
  * gbp tag: tag a Debian package in Git
  * gbp pristine-tar: create pristine-tar commits
  * gbp setup-gitattributes: set up Git attributes to disable transformations

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 cpio,
 git-buildpackage (= ${binary:Version}),
 python3-rpm (>= 4.16.1),
 rpm (>= 4.16.1),
Recommends: pristine-tar (>= 0.5)
Suggests: python3-notify, unzip, zipmerge, mock
Description: Suite to help with RPM packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage-rpm: build a package out of a Git repository, check for
    local modifications and tag appropriately
  * gbp import-srpm: import existing RPM source packages into a Git
    repository
  * gbp pq-rpm: manage patches easily
 .
 These tools are currently in an experimental state. Branch names and
 repository layouts might change without lots of prior warning.
