=== debian/tests/control ===
Tests: smoke-rpm
Depends: @, @builddeps@
Restrictions: allow-stderr
