## git-buildpackage 0.9.38

=== Makefile ===
all:
	@echo "Ready!"
