=== debian/control ===
--- 
+++ 
@@ -14,13 +14,7 @@
  perl,
  pydoctor,
  python3,
- python3-pytest-cov,
- python3-dateutil,
- python3-filelock,
- python3-pytest,
- python3-rpm,
  python3-setuptools,
- python3-yaml,
  xsltproc,
 # For the testsuite
  bzip2 <!nocheck>,
@@ -28,6 +22,11 @@
  devscripts (>= 2.17.7~) <!nocheck>,
  git (>= 1:2.40.1) <!nocheck>,
  pristine-tar (>= 1.14) <!nocheck>,
+ python3-dateutil <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-rpm <!nocheck>,
+ python3-yaml <!nocheck>,
  rpm (>= 4.16.1) <!nocheck>,
  unzip <!nocheck>,
  zipmerge <!nocheck>,
@@ -36,14 +35,14 @@
 Vcs-Browser: https://salsa.debian.org/agx/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.7
+X-Python3-Version: >= 3.12
 
 Package: git-buildpackage
 Architecture: all
 Depends: ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- devscripts (>= 2.13.5~),
+ devscripts (>= 2.25.2~),
  git (>= 1:2.40.1-1),
  man-db,
  python3-dateutil,
@@ -80,7 +79,7 @@
  python3-rpm (>= 4.16.1),
  rpm (>= 4.16.1),
 Recommends: pristine-tar (>= 0.5)
-Suggests: python3-notify, unzip, zipmerge, mock
+Suggests: python3-notify2, unzip, zipmerge, mock
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
   * gbp buildpackage-rpm: build a package out of a Git repository, check for
