=== requirements.txt ===
notify2
python-dateutil
pyyaml
requests
rpm
setuptools
