=== debian/control ===
--- 
+++ 
@@ -3,34 +3,35 @@
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
- bash-completion (>= 1:2.1-4.2~),
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-bash-completion,
  dh-sequence-python3,
- docbook2x,
- gtk-doc-tools,
- libdistro-info-perl,
- perl,
- pydoctor,
- python3,
- python3-setuptools,
- xsltproc,
+ bash-completion (>= 1:2.1-4.2~),
 # For the testsuite
  bzip2 <!nocheck>,
  cpio <!nocheck>,
  devscripts (>= 2.17.7~) <!nocheck>,
+ docbook2x,
+ flake8 <!nocheck>,
  git (>= 1:2.40.1) <!nocheck>,
+ gtk-doc-tools,
+ libdistro-info-perl,
+ perl,
  pristine-tar (>= 1.14) <!nocheck>,
+ pydoctor,
+ python3,
  python3-dateutil <!nocheck>,
  python3-pytest <!nocheck>,
- python3-pytest-cov <!nocheck>,
+ python3-pytest-cov,
  python3-rpm <!nocheck>,
+ python3-setuptools,
  python3-yaml <!nocheck>,
  rpm (>= 4.16.1) <!nocheck>,
  unzip <!nocheck>,
+ xsltproc,
  zipmerge <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/agx/git-buildpackage.git
 Vcs-Browser: https://salsa.debian.org/agx/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
@@ -39,20 +40,26 @@
 
 Package: git-buildpackage
 Architecture: all
-Depends: ${python3:Depends},
- ${shlibs:Depends},
- ${misc:Depends},
+Depends:
  devscripts (>= 2.25.2~),
  git (>= 1:2.40.1-1),
  man-db,
  python3-dateutil,
  python3-yaml,
  sensible-utils,
-Recommends: pristine-tar (>= 1.41),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
  cowbuilder | pbuilder | sbuild,
- python3-requests
-Breaks: dgit (<< 9.16~)
-Suggests: python3-notify2, unzip, sudo
+ pristine-tar (>= 1.41),
+ python3-requests,
+Breaks:
+ dgit (<< 9.16~),
+Suggests:
+ python3-notify2,
+ sudo,
+ unzip,
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
   * gbp buildpackage: build a package out of a Git repository, check for local
@@ -72,14 +79,19 @@
 
 Package: git-buildpackage-rpm
 Architecture: all
-Depends: ${python3:Depends},
- ${misc:Depends},
+Depends:
  cpio,
  git-buildpackage (= ${binary:Version}),
  python3-rpm (>= 4.16.1),
  rpm (>= 4.16.1),
-Recommends: pristine-tar (>= 0.5)
-Suggests: python3-notify2, unzip, zipmerge, mock
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ pristine-tar (>= 0.5),
+Suggests:
+ python3-notify2,
+ unzip,
+ zipmerge,
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
   * gbp buildpackage-rpm: build a package out of a Git repository, check for
