## git-buildpackage 0.9.39ubuntu1

=== debian/changelog ===
git-buildpackage (0.9.39ubuntu1) resolute; urgency=medium

  * fix: doctests failure with rust-coreutils (LP: #2137580)
    Replace implicit behavior of gnu coreutils true/false in doctest by
    explicit output and exit code.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 06 Jan 2026 14:46:49 -0500
